!
EXE = [.exe]
OBJ = [.obj]
SRC = []
!
!	The system we're building
!
system : makedir $(EXE)cswing.exe
    dir/date/siz $(EXE)cswing.exe;

makedir :
   @ if f$search("obj.dir") .eqs. "" then create/dir <.obj>
   @ if f$search("exe.dir") .eqs. "" then create/dir <.exe>

!
!	Macros
!
OBJECTS = $(OBJ)swing.obj, $(OBJ)swing_1.obj, -
        $(OBJ)swing_2.obj,  $(OBJ)swing_3.obj,  $(OBJ)swing_4.obj, -
	$(OBJ)swing_5.obj,  $(OBJ)swing_6.obj,  $(OBJ)swing_7.obj,  -
        $(OBJ)swing_8.obj,  $(OBJ)swing_9.obj,  $(OBJ)swing_10.obj, -
	$(OBJ)swing_11.obj, $(OBJ)swing_12.obj, $(OBJ)swing_13.obj, -
        $(OBJ)swing_14.obj, $(OBJ)swing_15.obj, $(OBJ)swing_16.obj, -
        $(OBJ)swing_17.obj, $(OBJ)swing_18.obj, $(OBJ)swing_19.obj, -
        $(OBJ)swing_20.obj, $(OBJ)swing_21.obj, $(OBJ)swing_22.obj, -
        $(OBJ)swing_23.obj, $(OBJ)swing_24.obj, $(OBJ)swing_25.obj, -
        $(OBJ)swing_26.obj, $(OBJ)swing_27.obj, $(OBJ)swing_28.obj, -
        $(OBJ)swing_29.obj, $(OBJ)swing_30.obj, $(OBJ)swing_31.obj, -
        $(OBJ)swing_32.obj, $(OBJ)swing_33.obj, $(OBJ)swing_34.obj, -
	$(OBJ)swing_35.obj, $(OBJ)swing_36.obj, $(OBJ)swing_37.obj, -
        $(OBJ)swing_38.obj, $(OBJ)swing_39.obj, $(OBJ)most.obj, -
	$(OBJ)buffer.obj, $(OBJ)cmd.obj, $(OBJ)dir.obj, $(OBJ)display.obj, -
	$(OBJ)edit.obj, $(OBJ)file.obj, $(OBJ)help.obj, $(OBJ)keym.obj, -
	$(OBJ)line.obj, $(OBJ)main.obj, $(OBJ)search.obj, $(OBJ)sysdep.obj, -
	$(OBJ)window.obj
!
CFLAGS =             /nodebug/opt/define=(VMS_V5)/object=$(OBJ)
!
LFLAGS =	     /nodebug/traceback/nomap
!
$(EXE)cswing.exe depends_on $(OBJECTS)
    link $(OBJECTS),$(SRC)options_file/opt /exec=$(EXE)cswing.exe $(LFLAGS)
    @ purge $(EXE)cswing.exe/keep=1/nolog
    @ purge $(OBJ)*.obj/keep=1/nolog
!
$(EXE)cswing.exe : $(OBJECTS)
    library /create $(OBJ)swing.olb $(OBJ)*.obj 
    link /nouserlib /exe=$(EXE)cswing.exe $(OBJ)swing.olb/lib - 
         /inc=swing, $(SRC)options_file/opt $(LFLAGS)
    @ purge $(EXE)cswing.exe/keep=1/nolog
    @ purge $(OBJ)*.obj/keep=1/nolog
    @ delete $(OBJ)swing.olb.*/nolog
!
$(OBJ)swing.obj : swing.c, swing.h, swing_defs.h
    cc swing $(CFLAGS)
!
$(OBJ)swing_1.obj : swing_1.c, swing.h, swing_refs.h
    cc swing_1 $(CFLAGS)
!
$(OBJ)swing_2.obj : swing_2.c, swing.h, swing_refs.h
    cc swing_2 $(CFLAGS)
!
$(OBJ)swing_3.obj : swing_3.c, swing.h, swing_refs.h
    cc swing_3 $(CFLAGS)
!
$(OBJ)swing_4.obj : swing_4.c, swing.h, swing_refs.h
    cc swing_4 $(CFLAGS)  
!
$(OBJ)swing_5.obj : swing_5.c, swing.h, swing_refs.h
    cc swing_5 $(CFLAGS)  
!
$(OBJ)swing_6.obj : swing_6.c, swing.h, swing_refs.h
    cc swing_6 $(CFLAGS)  
!
$(OBJ)swing_7.obj : swing_7.c, swing.h, swing_refs.h
    cc swing_7 $(CFLAGS)  
!
$(OBJ)swing_8.obj : swing_8.c, swing.h, swing_refs.h
    cc swing_8 $(CFLAGS)  
!
$(OBJ)swing_9.obj : swing_9.c, swing.h, swing_refs.h
    cc swing_9 $(CFLAGS)  
!
$(OBJ)swing_10.obj : swing_10.c, swing.h, swing_refs.h
    cc swing_10 $(CFLAGS)   
!
$(OBJ)swing_11.obj : swing_11.c, swing.h, swing_refs.h
    cc swing_11 $(CFLAGS)   
!
$(OBJ)swing_12.obj : swing_12.c, swing.h, swing_refs.h
    cc swing_12 $(CFLAGS)   
!
$(OBJ)swing_13.obj : swing_13.c, swing.h, swing_refs.h
    cc swing_13 $(CFLAGS)   
!
$(OBJ)swing_14.obj : swing_14.c, swing.h, swing_refs.h
    cc swing_14 $(CFLAGS)   
!
$(OBJ)swing_15.obj : swing_15.c, swing.h, swing_refs.h
    cc swing_15 $(CFLAGS)   
!
$(OBJ)swing_16.obj : swing_16.c, swing.h, swing_refs.h
    cc swing_16 $(CFLAGS)   
!
$(OBJ)swing_17.obj : swing_17.c, swing.h, swing_refs.h
    cc swing_17 $(CFLAGS)   
!
$(OBJ)swing_18.obj : swing_18.c, swing.h, swing_refs.h
    cc swing_18 $(CFLAGS)   
!
$(OBJ)swing_19.obj : swing_19.c, swing.h, swing_refs.h
    cc swing_19 $(CFLAGS)   
!
$(OBJ)swing_20.obj : swing_20.c, swing.h, swing_refs.h
    cc swing_20 $(CFLAGS)   
!
$(OBJ)swing_21.obj : swing_21.c, swing.h, swing_refs.h
    cc swing_21 $(CFLAGS)   
!
$(OBJ)swing_22.obj : swing_22.c, swing.h, swing_refs.h
    cc swing_22 $(CFLAGS)   
!
$(OBJ)swing_23.obj : swing_23.c, swing.h, swing_refs.h
    cc swing_23 $(CFLAGS)   
!
$(OBJ)swing_24.obj : swing_24.c, swing.h, swing_refs.h
    cc swing_24 $(CFLAGS)   
!
$(OBJ)swing_25.obj : swing_25.c, swing.h, swing_refs.h
    cc swing_25 $(CFLAGS)   
!
$(OBJ)swing_26.obj : swing_26.c, swing.h, swing_refs.h
    cc swing_26 $(CFLAGS)   
!
$(OBJ)swing_27.obj : swing_27.c, swing.h, swing_refs.h
    cc swing_27 $(CFLAGS)   
!
$(OBJ)swing_28.obj : swing_28.c, swing.h, swing_refs.h
    cc swing_28 $(CFLAGS)   
!
$(OBJ)swing_29.obj : swing_29.c, swing.h, swing_refs.h
    cc swing_29 $(CFLAGS)   
!
$(OBJ)swing_30.obj : swing_30.c, swing.h, swing_refs.h
    cc swing_30 $(CFLAGS)   
!
$(OBJ)swing_31.obj : swing_31.c, swing.h, swing_refs.h
    cc swing_31 $(CFLAGS)   
!
$(OBJ)swing_32.obj : swing_32.c, swing.h, swing_refs.h
    cc swing_32 $(CFLAGS)   
!
$(OBJ)swing_33.obj : swing_33.c, swing.h, swing_refs.h
    cc swing_33 $(CFLAGS)   
!
$(OBJ)swing_34.obj : swing_34.c, swing.h, swing_refs.h
    cc swing_34 $(CFLAGS)   
!
$(OBJ)swing_35.obj : swing_35.c, swing.h, swing_refs.h
    cc swing_35 $(CFLAGS)   
!
$(OBJ)swing_36.obj : swing_36.c, swing.h, swing_refs.h
    cc swing_36 $(CFLAGS)   
!
$(OBJ)swing_37.obj : swing_37.c, swing.h, swing_refs.h
    cc swing_37 $(CFLAGS)   
!
$(OBJ)swing_38.obj : swing_38.c, swing.h, swing_refs.h
    cc swing_38 $(CFLAGS)   
!
$(OBJ)swing_39.obj : swing_39.c, swing.h, swing_refs.h
    cc swing_39 $(CFLAGS)   
!
$(OBJ)localfix.obj : localfix.c, swing.h, swing_refs.h
    cc localfix $(CFLAGS)   
!
$(OBJ)most.obj : most.c, most.h, externs.h, window.h, buffer.h, file.h, sysdep.h, keym.h, search.h
    cc most $(CFLAGS)
!
$(OBJ)buffer.obj : buffer.c , buffer.h, externs.h, display.h, line.h
    cc buffer $(CFLAGS)
!
$(OBJ)cmd.obj : cmd.c, sysdep.h, search.h, window.h, file.h, keym.h, externs.h
    cc cmd $(CFLAGS)
!
$(OBJ)dir.obj : dir.c, buffer.h, window.h, file.h
    cc dir $(CFLAGS)
!
$(OBJ)display.obj : display.c, buffer.h, display.h, sysdep.h
    cc display $(CFLAGS)
!
$(OBJ)edit.obj : edit.c, externs.h, window.h, sysdep.h
    cc edit $(CFLAGS)
!
$(OBJ)file.obj : file.c, externs.h, file.h, keym.h, buffer.h, window.h
    cc file $(CFLAGS)
!
$(OBJ)help.obj : help.c, window.h, file.h, display.h, line.h
    cc help $(CFLAGS)
!
$(OBJ)keym.obj : keym.c, externs.h, keym.h, sysdep.h, display.h, buffer.h, window.h, search.h
    cc keym $(CFLAGS)
!
$(OBJ)line.obj : line.c, buffer.h, externs.h, display.h, line.h
    cc line $(CFLAGS)
!
$(OBJ)main.obj : main.c, externs.h, window.h, buffer.h, file.h, sysdep.h, most.h
    cc main $(CFLAGS)
!
$(OBJ)search.obj : search.c, most.h, externs.h, buffer.h, line.h
    cc search $(CFLAGS)
!
$(OBJ)sysdep.obj : sysdep.c, sysdep.h
    cc sysdep $(CFLAGS)
!
$(OBJ)window.obj : window.c, externs.h, window.h, line.h, display.h
    cc window $(CFLAGS)
